
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;


public class CounterGUI extends JApplet
{
     private Counter counter;
     private JTextField countDisplayField;

    
    public void init()
    {
       counter=new Counter();
       buildCounterGUI();
    }
    
    public void buildCounterGUI()
    {
    
    Container cp=getContentPane();
    
    //The "display" of the GUI
    JPanel display=new JPanel(new GridLayout(1,2));
    display.add(new JLabel("Value:", JLabel.RIGHT));
    
    countDisplayField=new JTextField(counter.toString(), 12); 
    countDisplayField.setHorizontalAlignment(JTextField.RIGHT);
    countDisplayField.setEditable(false);
    display.add(countDisplayField);
    
    cp.add(display, BorderLayout.NORTH);
    
    //The buttons area of the GUI
    JPanel buttonAreaPanel=new JPanel();
    
    JButton resetButton=new JButton("Reset");
    resetButton.addActionListener(new CounterListener());
    buttonAreaPanel.add(resetButton);
    
    JButton incrementButton=new JButton("increment");
    incrementButton.addActionListener(new CounterListener());
    buttonAreaPanel.add(incrementButton);
    
    cp.add(buttonAreaPanel, BorderLayout.CENTER);}
   
    public static void main(String args[])
    {
    
    
     JApplet theApplet=new CounterGUI();
     
     //create a window for the applet to run in
     
     JFrame theFrame=new JFrame();
     theFrame.setSize(180, 100);
     theFrame.setTitle("CounterGUI");
     theFrame.setResizable(false);
     
      //place the applet in the window
      theFrame.getContentPane().add("Center", theApplet);
      
      //start the applet
      theApplet.init();
      theApplet.start();
      
      //display the window
      theFrame.setVisible(true);
    
    
    }
   
   
   
   
//----------------------------------Inner Class Counter Listener---------------------------------------------------  
   
   class CounterListener implements ActionListener
   {
      public void actionPerformed(ActionEvent e)
      {
        String operation=e.getActionCommand();
        
        if (operation.equals("Reset"))
            counter.reset();
        else
            counter.increment();
                 countDisplayField.setText(counter.toString());
                 
       }
    
    }
    
    
   
}
